## coco-java 20070906-2

=== Makefile ===
all:
	javac -d . Trace.java Scanner.java Tab.java DFA.java ParserGen.java Parser.java Coco.java
	jar cfm Coco.jar Coco.manifest Coco/*.class
	rm -rf Coco

clean:
	rm Coco.jar

install:
	install -m 0755 cocoj $(DESTDIR)/usr/bin
	install -m 0644 Coco.jar $(DESTDIR)/usr/share/coco-java
	install -m 0644 *frame $(DESTDIR)/usr/share/coco-java
