## coco-java 20050316-3

=== debian/changelog ===
coco-java (20050316-3) unstable; urgency=low

  * debian/control: For Build-Depends, unzip, kaffe, jikes, jikes-kaffe 

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 29 Mar 2005 10:00:00 +0100

coco-java (20050316-2) unstable; urgency=low

  * Moved from Sun java to kaffe and jikes to become main compliant.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 29 Mar 2005 10:00:00 +0100

coco-java (20050316-1) unstable; urgency=low

  * Scanners can read arbitrariliy large files now (needed for
    parsing log files with several hundred megabytes).
  * Generated scanners are substantially faster than before (about 30%).

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Fri, 18 Mar 2005 13:00:00 +0100

coco-java (20050111-1) unstable; urgency=low

  * First upload to Debian unstable.
    Sponsor: Rene Mayrhofer <rmayr@debian.org>
  * Renamed to coco-java.
  * Lexical structures like '(' {char} ')' resulted in an endless loop in
    the scanner if char was defined as ANY - ')' and if the terminating ')'
    was missing in the input stream of the generated compiler.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 11 Jan 2005 18:00:00 +0100

cocosourcesjava (2004.10.27-1) unstable; urgency=low

 * If an expression in curly braces or square brackets is deletable (as in [[x]]) a
   new  LL(1) warning is printed: contents of [...] or {...} must not be deletable.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at> Wed, 27 Oct 2004 17:35:00 +0100

cocosourcesjava (2004.10.11-1) unstable; urgency=low

 * Blanks are specified as white space in the scanner frame now, so one can delete this 
   if one doesn't want to ignore blanks.
   (Caution! Use the latests Coco.jar only with the latest Scanner.frame!)

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at> Tue, 11 Oct 2004 10:00:00 +0100

cocosourcesjava (2004.06.28-3) unstable; urgency=low

 * Bug fix in DFA.java and ParserGen.java, Path seperator "\\" changed to System.getProperty("file.seperator").

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at> Tue, 24 Aug 2004 13:50:00 +0100

cocosourcesjava (2004.06.28-2) unstable; urgency=low

 * Bug fix in DFA.java, buggy code was generated for CONTEXT phrases.
 * Bug fix in Coco.atg, invalid Token Factors and Terms caused Coco to crash.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at> Tue, 27 Jul 2004 10:09:00 +0100

cocosourcesjava (2004.06.28-1) unstable; urgency=low

  * New upstream release
  * Generation of case-insensitive compilers changed
    - keyword IGNORECASE instead of IGNORE CASE.
    - case is also ignored in tokens and character sets now.
    - User manual changed
  * The scanner uses '\u0100' instead of '\u0' as an end of file (eof)
    character now. This allowes \0 to be used in tokens (useful for parsing
    binary files).
  * Bug fix in the detection of tokens that cannot be distinguished.
  * IO routines changed from Java 1.0 to Java 1.1.
  * Various cleanups.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue,  06 Jun 2004 17:00:00 +0100

cocosourcesjava (2004.04.14-1) unstable; urgency=low

  * Method Tab.IgnoreCase added
  * The frames directory is not specified by the environment variable CRFRAMES
    any more but can be specified with the command line option -frames
  * Bug fix in Coco.java (incorrect handling of command line arguments)
  * Errors.errMsgFormat handled as in the C-Sharp version now (in Parser.java)
  * Bug fix in Sets.PrintSet (in Tab.java)
  * Fatal errors abort with System.exit(1) instead of System.exit(0) now

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Fri,  16 Apr 2004 12:35:00 +0100

cocosourcesjava (2004.04.06-2) unstable; urgency=low

  * changelog corrected
  * directory names to lower case

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue,  13 Apr 2004 18:35:00 +0100

cocosourcesjava (2004.04.06-1) unstable; urgency=low

  * New upstream release

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Wed,  07 Apr 2004 18:35:00 +0100
