=== debian/control ===
Source: coco-java
Section: devel
Priority: optional
Maintainer: Loeberbauer Markus <loeberbauer@ssw.jku.at>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.0.0), unzip, kaffe, jikes, jikes-kaffe

Package: coco-java
Architecture: all
Depends: kaffe, jikes, jikes-kaffe 
Description: Coco/R Compiler Generator (Java Version).
 Coco/R is a compiler generator, which takes an attributed grammar of a source language
 and generates a scanner and a parser for this language. The scanner works as a
 deterministic finite automaton. The parser uses recursive descent. LL(1) conflicts can be
 resolved by a multi-symbol lookahead or by semantic checks. Thus the class of accepted
 grammars is LL(k) for an arbitrary k.
 .
 To start Coco call cocoj, which is a shell script in /usr/bin.
