=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




BUILD_DIR = $(CURDIR)/debian/tmp-build/
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	mkdir $(BUILD_DIR)
	( cd $(BUILD_DIR); \
	  unzip $(CURDIR)/CocoSourcesJava.zip; \
	  ln -s $(CURDIR)/*.sh . )

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	( cd $(BUILD_DIR); \
	  ./build.sh )

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -rf $(BUILD_DIR)

	dh_clean 

install: DESTDIR=$(CURDIR)/debian/coco-java
install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/coco-cs.
	install -m 0755 cocoj $(DESTDIR)/usr/bin
	install -m 0755 $(BUILD_DIR)/Coco.jar $(DESTDIR)/usr/lib/coco-java
	install -m 0644 $(BUILD_DIR)/*.java $(DESTDIR)/usr/lib/coco-java
	install -m 0644 $(BUILD_DIR)/*.manifest $(DESTDIR)/usr/lib/coco-java
	install -m 0644 $(BUILD_DIR)/*.atg $(DESTDIR)/usr/lib/coco-java
	install -m 0644 $(BUILD_DIR)/*.frame $(DESTDIR)/usr/lib/coco-java
	install -m 0755 $(CURDIR)/*.sh $(DESTDIR)/usr/lib/coco-java

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary install configure
