## coco-java 20050504-1

=== debian/changelog ===
coco-java (20050504-1) unstable; urgency=low

  * New Upstream release
  * Small bug in DFA fixed (EOF was not recognized correctly if ANY was used).
  * Coco/R as well as the generated compilers are reentrant now.
    That means that all fields and methods are non-static.
    Please look at the user manual to see how to create and
    initialize a scanner and a parser object in your compiler.
  * In addition to bracket comments (/* ... */), ATG files can also contain
    end of line comments now (// ... cr lf)
  * Corrected some package troubles. (Closes: #306622)

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 04 May 2005 16:00:00 +0100
