=== debian/rules ===
--- 
+++ 
@@ -63,7 +63,7 @@
 
 	# Add here commands to install the package into debian/coco-cs.
 	install -m 0755 cocoj $(DESTDIR)/usr/bin
-	install -m 0755 $(BUILD_DIR)/Coco.jar $(DESTDIR)/usr/lib/coco-java
+	install -m 0644 $(BUILD_DIR)/Coco.jar $(DESTDIR)/usr/lib/coco-java
 	install -m 0644 $(BUILD_DIR)/*.java $(DESTDIR)/usr/lib/coco-java
 	install -m 0644 $(BUILD_DIR)/*.manifest $(DESTDIR)/usr/lib/coco-java
 	install -m 0644 $(BUILD_DIR)/*.atg $(DESTDIR)/usr/lib/coco-java
@@ -87,7 +87,7 @@
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
-	dh_installman
+	dh_installman debian/cocoj.1
 	dh_link
 	dh_strip
 	dh_compress
