## coco-java 20070906-2

=== debian/changelog ===
coco-java (20070906-2) unstable; urgency=low

  * Minor Bugfix: Allow buffer position to be set to the end of the file,
    this allows grammars without trailing new-line.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Thu, 10 Sep 2007 14:15:00 +0100

coco-java (20070906-1) unstable; urgency=low

  * Enhanced support for input streams: Previously we did support files via
    file names and file streams via input streams, but not non seek-able
    streams (e.g. network). Now we support both stream types. Please note
    since our memory buffer keeps the entire history of a stream, the maximum
    supported stream size is limited by the available memory and the runtime
    environment.
  * The possibility to set the output path with command line option "-o".
  * The main method returns 1 if the grammar contained an error.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Thu, 06 Sep 2007 15:15:00 +0100

coco-java (20061206-1) unstable; urgency=low

  * The declaration of standard whitespaces (namely space) is again done in
    the file Scanner.frame.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Wed, 06 Dec 2006 15:00:00 +0100

coco-java (20060919-2) unstable; urgency=low

  * Added binary-arch target in debian/rules (Closes: 395586).
  * It's now a non native package (Closes: 396539).

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Fri, 10 Nov 2006 14:21:58 +0100
