=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Loeberbauer Markus <loeberbauer@ssw.jku.at>
-Build-Depends: debhelper (>= 4.0.0), unzip, kaffe, jikes, jikes-kaffe
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>= 5), kaffe, jikes, jikes-kaffe
+Standards-Version: 3.7.2
 
 Package: coco-java
 Architecture: all
