## coco-java 20110419

=== debian/changelog ===
coco-java (20110419-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 20070906-2, 20050504-1,
    2004.10.11-1, 2004.06.28-1.
  * d/p/debian.patch, d/rules: Updated java_compat_level to fix build
    problem (Closes: #1053019).
  * Adjusted d/rules to also work with java-common before 0.75.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 31 May 2024 07:46:23 +0200

coco-java (20110419-4) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0. (Closes: #1007341, #396539)
  * d/rules: Add binary-arch target. (Closes: #395586)

 -- Bastian Germann <bage@debian.org>  Sun, 06 Aug 2023 19:15:04 +0200

coco-java (20110419-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Invoke dh_strip_nondeterminism to make the build reproducible

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Sep 2019 02:06:19 +0200

coco-java (20110419-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed the build failure with Java 9 (Closes: #873973)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 08 Oct 2018 23:52:26 +0200

coco-java (20110419-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Transition package to use default java implementation":
    apply patch from Ubuntu / James Page:

    Transition package to use default java implementation:
    - d/control: BD on default-jdk only.

    (Closes: #683522)

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 May 2013 21:25:37 +0200

coco-java (20110419-3) unstable; urgency=low

  * debian package cleanup

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Sat, 21 Jan 2012 19:53:00 +0100

coco-java (20110419-2) unstable; urgency=low

  * fixed startup shell script (Closes: #647243)

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 07 Nov 2011 11:12:02 +0100

coco-java (20110419-1) unstable; urgency=low

  * New upstream release
  * Frame files provided as command line argument take now precedence
    over frame files in the source directory of the attributed grammar.
  * The package can be set as a directive in the attributed
    grammar: $package=packageName
    if the package is set in the attributed grammar and on the command
    line, the command line argument takes precedence.
  * New option checkEOF: With the option checkEOF the user can specify
    whether the generated parser should check if the entire input has been
    consumed after parsing, i.e., if the token after the start symbol of
    the grammar is an end-of-file token. The user can enable or disable
    this check by the following directive in the attributed grammar:
    $checkEOF=true // enable the end of file check (default)
    $checkEOF=false // disable the end of file check
  * Support for UTF-8 input: The token stores the character position
    in Token.charPos.
  * Support for copyright sections in the generated files. If a
    file named Copyright.frame is provided, it will be included at
    the top of the generated scanner and parser.
  * Cleanup, removed the marker $$$ from the end of the frame files.
  * More robust scanner generation.
  * More robust UTF-8 handling in ParserGen.CopySourcePart and
    Scanner.GetString.
  * Simplified Coco.atg (using statements handled by ANY).
  * Minor change: Code cleanup.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 19 Apr 2011 16:21:52 +0200

coco-java (20090327-1) unstable; urgency=low

  * New upstream release
  * Support for pragmas which are part of terminal classes (thanks
    to Serge Voloshenyuk)
  * Support for the escape sequences vertical tab (\v) and audible bell (\a)
  * Minor change: Code cleanup

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Fri, 27 Mar 2009 13:18:05 +0100

coco-java (20081106-1) unstable; urgency=low

  * New upstream release.
  * Minor change: code cleanup.
  * Minor change: More robust Scanner, never assign Buffer.EOF to a char (which
                  results in an overflow, should do no harm).

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 10 Nov 2008 09:45:00 +0100

coco-java (20081001-3) unstable; urgency=low

  * Build with java 1.4 compatibility (Closes: 503771).

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 28 Oct 2008 11:15:00 +0100

coco-java (20081001-2) unstable; urgency=low

  * More robust clean target in make file.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Sat, 04 Oct 2008 10:05:00 +0100

coco-java (20081001-1) unstable; urgency=low

  * New upstream release
  * Bugfix: bug in the construction of the scanner automaton fixed.
  * Minor change: More robust Peek method is Scanner.
  * Minor change: Literal check is now handled by a hash-table-lookup instead
    of an if-else-if cascade.
  * Minor change: Allow underscores (_) in identifiers.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 23 Sep 2008 20:10:00 +0100
