=== debian/control ===
Source: coco-java
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               dh-strip-nondeterminism,
Standards-Version: 4.7.0
Homepage: http://www.ssw.uni-linz.ac.at/Research/Projects/Coco/
Vcs-Browser: https://salsa.debian.org/debian/coco-java
Vcs-Git: https://salsa.debian.org/debian/coco-java.git

Package: coco-java
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends},
Description: Coco/R Compiler Generator (Java Version)
 Coco/R is a compiler generator, which takes an attributed grammar of a source
 language and generates a scanner and a parser for this language. The scanner
 works as a deterministic finite automaton. The parser uses recursive descent.
 LL(1) conflicts can be resolved by a multi-symbol lookahead or by semantic
 checks. Thus the class of accepted grammars is LL(k) for an arbitrary k.
 .
 To start Coco call cocoj, which is a shell script in /usr/bin.
