=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-
-
+include /usr/share/java/java_defaults.mk
+# Provide default to avoid build depend on java-common >= 0.75
+java_compat_level ?= 7
+export JAVA_COMPAT_LEVEL=$(java_compat_level)
 
 CFLAGS = -Wall -g
 
@@ -28,9 +30,13 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build: build-arch build-indep
 
-build-stamp: configure-stamp 
+build-arch: build-stamp
+
+build-indep: build-stamp
+
+build-stamp: configure-stamp
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -45,14 +51,14 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/coco-java.
@@ -61,13 +67,9 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
 #	dh_install
@@ -84,6 +86,7 @@
 	dh_installman debian/cocoj.1
 	dh_link
 	dh_strip
+	dh_strip_nondeterminism
 	dh_compress
 	dh_fixperms
 #	dh_perl
@@ -94,5 +97,9 @@
 	dh_md5sums
 	dh_builddeb
 
+
+# Build architecture-dependent files here.
+binary-arch: build-indep install
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
